import { app } from '@/app.ts';
import { ShareConfigService } from './services/share.ts';
app
  .route({
    path: 'config',
    key: 'shareConfig',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const { key, username } = ctx.query?.data || {};
    if (!key) {
      ctx.throw(400, 'key is required');
    }
    if (!username) {
      ctx.throw(400, 'username is required');
    }
    try {
      const config = await ShareConfigService.getShareConfig(key, username);
      ctx.body = config;
    } catch (error) {
      if (error?.code === 500) {
        console.error('config get error', error);
      }
      ctx.throw(404, 'config not found');
    }
  })
  .addTo(app);
